"Error:Package:1: nvidia-kmod-387.20-2.el7.x86_64(cuda-9.1-local) requires : dkms

I have 3nos. of Nvida Tesla K80 24 gb Card. I have install 1no. of card in my 1no. server linux. when I am installing CUDA-9.1 toolkit on REDHAT ENTERPRISE LINUX 7 64 BIT operating system. I am getting this "Error:Package:1: nvidia-kmod-387.20-2.el7.x86_64(cuda-9.1-local) requires : dkms " . Linux kernel is 3.10 & GCC is 4.8.5. please provide me suitable solutions.

Read/install this:
https://fedoraproject.org/wiki/EPEL#How_can_I_use_these_extra_packages.3F
then install dkms
yum install dkms

after installing epel & dkms packages. When we have restarted the server. Server is not restating It is showing stop error. what should we do?

What kind of “stop” error?